gtkmm: Gdk Namespace Reference

gtkmm 3.91.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
Gdk Namespace Reference

## Namespaces
| Cairo

## Classes
class | AppLaunchContext
| This is an implementation of Gio::AppLaunchContext that handles launching an application in a graphical context. More...
class | Cursor
| This represents a cursor. More...
class | Device
| A Gdk::Device instance contains a detailed description of an extended input device. More...
class | DeviceManager
| Functions for handling input devices. More...
class | Display
| Gdk::Display object's purpose is two fold: To grab/ungrab keyboard focus and mouse pointer To manage and provide information about the Gdk::Screen(s) available for this Gdk::Display. More...
class | DisplayManager
| The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes. More...
class | DragContext
| A Gdk::DragContext holds information about a drag in progress. More...
class | DrawContext
| Drawing context base class. More...
class | DrawingContext
| Drawing context for GDK windows. More...
class | Event
| Represents an event. More...
class | EventButton
| Represents a mouse button press or release event. More...
class | EventConfigure
| Generated when the position or size of a window changes. More...
class | EventCrossing
| Generated when the mouse pointer leaves or enters the window. More...
class | EventDND
| Generated during Drag-and-Drop (DND) operations. More...
class | EventExpose
| Generated when all or part of a window becomes visible and needs to be redrawn. More...
class | EventFocus
| Generated when the keyboard focus changes. More...
class | EventGrabBroken
| Generated when a pointer or keyboard grab is broken. More...
class | EventKey
| Generated when a key is pressed or released. More...
class | EventMotion
| Generated when a mouse pointer is moved. More...
class | EventOwnerChange
| Rarely used event. More...
class | EventPadAxis
| Generated during Gdk::InputSource::TABLET_PAD interaction with tactile sensors. More...
class | EventPadButton
| Generated during Gdk::InputSource::TABLET_PAD button presses and releases. More...
class | EventPadGroupMode
| Generated during Gdk::InputSource::TABLET_PAD mode switches in a group. More...
class | EventProperty
| Rarely used event. More...
class | EventProximity
| Rarely used event. More...
class | EventScroll
| Generated when the mouse is scrolled. More...
class | EventSelection
| Rarely used event. More...
class | EventSetting
| Generated when a setting is modified. More...
class | EventTouch
| Generated during an attached touchscreen is touched. More...
class | EventTouchpadPinch
| Generated during touchpad swipe gestures. More...
class | EventTouchpadSwipe
| Generated during touchpad swipe gestures. More...
class | EventWindowState
| Generated when the state of the toplevel window changes. More...
class | GLContext
| A Gdk::GLContext is an OpenGL context abstraction. More...
class | GLError
class | Monitor
| Object representing an output. More...
class | Pixbuf
class | PixbufAnimation
| The gdk-pixbuf library provides a simple mechanism to load and represent animations. More...
class | PixbufAnimationIter
| An iterator which points to a certain position in a PixbufAnimation. More...
class | PixbufError
| Exception class for Gdk::Pixbuf errors. More...
class | PixbufFormat
class | PixbufLoader
class | Point
| This is a simple structure containing an x and y coordinate of a point. More...
class | Rectangle
| Gdk::Rectangle is a structure holding the position and size of a rectangle. More...
class | RGBA
| An RGBA Color. More...
class | Screen
| Object representing a physical screen Gdk::Screen objects are the GDK representation of a physical screen. More...
class | Seat
| A Gdk::Seat object represents a collection of input devices that belong to a user. More...
class | TimeCoord
| A Gdk::TimeCoord instance contains a single event of motion history. More...
class | Visual
| A Gdk::Visual describes a particular video hardware display format. More...
class | Window
| A Gdk::Window is a rectangular region on the screen. More...

## Typedefs
typedef GdkGeometry | Geometry

## Enumerations
enum | EventMask { EventMask::EXPOSURE_MASK = 1 << 1, EventMask::POINTER_MOTION_MASK = 1 << 2, EventMask::POINTER_MOTION_HINT_MASK = 1 << 3, EventMask::BUTTON_MOTION_MASK = 1 << 4, EventMask::BUTTON1_MOTION_MASK = 1 << 5, EventMask::BUTTON2_MOTION_MASK = 1 << 6, EventMask::BUTTON3_MOTION_MASK = 1 << 7, EventMask::BUTTON_PRESS_MASK = 1 << 8, EventMask::BUTTON_RELEASE_MASK = 1 << 9, EventMask::KEY_PRESS_MASK = 1 << 10, EventMask::KEY_RELEASE_MASK = 1 << 11, EventMask::ENTER_NOTIFY_MASK = 1 << 12, EventMask::LEAVE_NOTIFY_MASK = 1 << 13, EventMask::FOCUS_CHANGE_MASK = 1 << 14, EventMask::STRUCTURE_MASK = 1 << 15, EventMask::PROPERTY_CHANGE_MASK = 1 << 16, EventMask::VISIBILITY_NOTIFY_MASK = 1 << 17, EventMask::PROXIMITY_IN_MASK = 1 << 18, EventMask::PROXIMITY_OUT_MASK = 1 << 19, EventMask::SUBSTRUCTURE_MASK = 1 << 20, EventMask::SCROLL_MASK = 1 << 21, EventMask::TOUCH_MASK = 1 << 22, EventMask::SMOOTH_SCROLL_MASK = 1 << 23, EventMask::TOUCHPAD_GESTURE_MASK = 1 << 24, EventMask::TABLET_PAD_MASK = 1 << 25, EventMask::ALL_EVENTS_MASK = 0xFFFFFE }
| A set of bit-flags to indicate which events a window is to receive. More...
enum | InputMode { InputMode::DISABLED, InputMode::SCREEN, InputMode::WINDOW }
| An enumeration that describes the mode of an input device. More...
enum | InputSource { InputSource::MOUSE, InputSource::PEN, InputSource::ERASER, InputSource::CURSOR, InputSource::KEYBOARD, InputSource::TOUCHSCREEN, InputSource::TOUCHPAD, InputSource::TRACKPOINT, InputSource::TABLET_PAD }
| An enumeration describing the type of an input device in general terms. More...
enum | GrabStatus { GrabStatus::SUCCESS, GrabStatus::ALREADY_GRABBED, GrabStatus::INVALID_TIME, GrabStatus::NOT_VIEWABLE, GrabStatus::FROZEN, GrabStatus::FAILED }
| Returned by Gdk::Device::grab() to indicate success or the reason for the failure of the grab attempt. More...
enum | DragAction { DragAction::DEFAULT = 1 << 0, DragAction::COPY = 1 << 1, DragAction::MOVE = 1 << 2, DragAction::LINK = 1 << 3, DragAction::PRIVATE = 1 << 4, DragAction::ASK = 1 << 5 }
| Used in Gdk::DragContext to indicate what the destination should do with the dropped data. More...
enum | DragProtocol { DragProtocol::NONE, DragProtocol::MOTIF, DragProtocol::XDND, DragProtocol::ROOTWIN, DragProtocol::WIN32_DROPFILES, DragProtocol::OLE2, DragProtocol::LOCAL, DragProtocol::WAYLAND }
| Used in Gdk::DragContext to indicate the protocol according to which DND is done. More...
enum | AxisFlags { AxisFlags::X = 1 << GDK_AXIS_X, AxisFlags::Y = 1 << GDK_AXIS_Y, AxisFlags::PRESSURE = 1 << GDK_AXIS_PRESSURE, AxisFlags::XTILT = 1 << GDK_AXIS_XTILT, AxisFlags::YTILT = 1 << GDK_AXIS_YTILT, AxisFlags::WHEEL = 1 << GDK_AXIS_WHEEL, AxisFlags::DISTANCE = 1 << GDK_AXIS_DISTANCE, AxisFlags::ROTATION = 1 << GDK_AXIS_ROTATION, AxisFlags::SLIDER = 1 << GDK_AXIS_SLIDER }
| Flags describing the current capabilities of a device/tool. More...
enum | AxisUse { AxisUse::IGNORE, AxisUse::X, AxisUse::Y, AxisUse::PRESSURE, AxisUse::XTILT, AxisUse::YTILT, AxisUse::WHEEL, AxisUse::DISTANCE, AxisUse::ROTATION, AxisUse::SLIDER, AxisUse::LAST }
| An enumeration describing the way in which a device axis (valuator) maps onto the predefined valuator types that GTK+ understands. More...
enum | CrossingMode { CrossingMode::NORMAL, CrossingMode::GRAB, CrossingMode::UNGRAB, CrossingMode::GTK_GRAB, CrossingMode::GTK_UNGRAB, CrossingMode::STATE_CHANGED, CrossingMode::TOUCH_BEGIN, CrossingMode::TOUCH_END, CrossingMode::DEVICE_SWITCH }
| Specifies the crossing mode for Gdk::EventCrossing. More...
enum | NotifyType { NotifyType::ANCESTOR, NotifyType::VIRTUAL, NotifyType::INFERIOR, NotifyType::NONLINEAR, NotifyType::NONLINEAR_VIRTUAL, NotifyType::UNKNOWN }
| Specifies the kind of crossing for Gdk::EventCrossing. More...
enum | OwnerChange { OwnerChange::NEW_OWNER, OwnerChange::DESTROY, OwnerChange::CLOSE }
| Specifies why a selection ownership was changed. More...
enum | PropertyState { PropertyState::NEW_VALUE, PropertyState::DELETE }
| Specifies the type of a property change for a Gdk::EventProperty. More...
enum | ScrollDirection { ScrollDirection::UP, ScrollDirection::DOWN, ScrollDirection::LEFT, ScrollDirection::RIGHT, ScrollDirection::SMOOTH }
| Specifies the direction for Gdk::EventScroll. More...
enum | SettingAction { SettingAction::NEW, SettingAction::CHANGED, SettingAction::DELETED }
| Specifies the kind of modification applied to a setting in a Gdk::EventSetting. More...
enum | TouchpadGesturePhase { TouchpadGesturePhase::BEGIN, TouchpadGesturePhase::UPDATE, TouchpadGesturePhase::END, TouchpadGesturePhase::CANCEL }
| Specifies the current state of a touchpad gesture. More...
enum | SubpixelLayout { SubpixelLayout::UNKNOWN, SubpixelLayout::NONE, SubpixelLayout::HORIZONTAL_RGB, SubpixelLayout::HORIZONTAL_BGR, SubpixelLayout::VERTICAL_RGB, SubpixelLayout::VERTICAL_BGR }
| This enumeration describes how the red, green and blue components of physical pixels on an output device are laid out. More...
enum | Colorspace { Colorspace::RGB }
| This enumeration defines the color spaces that are supported by the gdk-pixbuf library. More...
enum | InterpType { InterpType::NEAREST, InterpType::TILES, InterpType::BILINEAR, InterpType::HYPER }
| This enumeration describes the different interpolation modes that can be used with the scaling functions. More...
enum | ByteOrder { ByteOrder::LSB_FIRST, ByteOrder::MSB_FIRST }
enum | ModifierType { ModifierType::SHIFT_MASK = 1 << 0, ModifierType::LOCK_MASK = 1 << 1, ModifierType::CONTROL_MASK = 1 << 2, ModifierType::MOD1_MASK = 1 << 3, ModifierType::MOD2_MASK = 1 << 4, ModifierType::MOD3_MASK = 1 << 5, ModifierType::MOD4_MASK = 1 << 6, ModifierType::MOD5_MASK = 1 << 7, ModifierType::BUTTON1_MASK = 1 << 8, ModifierType::BUTTON2_MASK = 1 << 9, ModifierType::BUTTON3_MASK = 1 << 10, ModifierType::BUTTON4_MASK = 1 << 11, ModifierType::BUTTON5_MASK = 1 << 12, ModifierType::MODIFIER_RESERVED_13_MASK = 1 << 13, ModifierType::MODIFIER_RESERVED_14_MASK = 1 << 14, ModifierType::MODIFIER_RESERVED_15_MASK = 1 << 15, ModifierType::MODIFIER_RESERVED_16_MASK = 1 << 16, ModifierType::MODIFIER_RESERVED_17_MASK = 1 << 17, ModifierType::MODIFIER_RESERVED_18_MASK = 1 << 18, ModifierType::MODIFIER_RESERVED_19_MASK = 1 << 19, ModifierType::MODIFIER_RESERVED_20_MASK = 1 << 20, ModifierType::MODIFIER_RESERVED_21_MASK = 1 << 21, ModifierType::MODIFIER_RESERVED_22_MASK = 1 << 22, ModifierType::MODIFIER_RESERVED_23_MASK = 1 << 23, ModifierType::MODIFIER_RESERVED_24_MASK = 1 << 24, ModifierType::MODIFIER_RESERVED_25_MASK = 1 << 25, ModifierType::SUPER_MASK = 1 << 26, ModifierType::HYPER_MASK = 1 << 27, ModifierType::META_MASK = 1 << 28, ModifierType::MODIFIER_RESERVED_29_MASK = 1 << 29, ModifierType::RELEASE_MASK = 1 << 30, ModifierType::MODIFIER_MASK = 0x5c001fff }
| A set of bit-flags to indicate the state of modifier keys and mouse buttons in various event types. More...
enum | ModifierIntent { ModifierIntent::PRIMARY_ACCELERATOR, ModifierIntent::CONTEXT_MENU, ModifierIntent::EXTEND_SELECTION, ModifierIntent::MODIFY_SELECTION, ModifierIntent::NO_TEXT_INPUT, ModifierIntent::SHIFT_GROUP, ModifierIntent::DEFAULT_MOD_MASK }
| This enum is used with Gdk::Keymap::get_modifier_mask() in order to determine what modifiers the currently used windowing system backend uses for particular purposes. More...
enum | Status { Status::OK = 0, Status::ERROR = -1, Status::ERROR_PARAM = -2, Status::ERROR_FILE = -3, Status::ERROR_MEM = -4 }
enum | WMDecoration { WMDecoration::ALL = 1 << 0, WMDecoration::BORDER = 1 << 1, WMDecoration::RESIZEH = 1 << 2, WMDecoration::TITLE = 1 << 3, WMDecoration::MENU = 1 << 4, WMDecoration::MINIMIZE = 1 << 5, WMDecoration::MAXIMIZE = 1 << 6 }
| These are hints originally defined by the Motif toolkit. More...
enum | WMFunction { WMFunction::ALL = 1 << 0, WMFunction::RESIZE = 1 << 1, WMFunction::MOVE = 1 << 2, WMFunction::MINIMIZE = 1 << 3, WMFunction::MAXIMIZE = 1 << 4, WMFunction::CLOSE = 1 << 5 }
| These are hints originally defined by the Motif toolkit. More...
enum | WindowEdge { WindowEdge::NORTH_WEST, WindowEdge::NORTH, WindowEdge::NORTH_EAST, WindowEdge::WEST, WindowEdge::EAST, WindowEdge::SOUTH_WEST, WindowEdge::SOUTH, WindowEdge::SOUTH_EAST }
| Determines a window edge or corner. More...
enum | Gravity { Gravity::NORTH_WEST = 1, Gravity::NORTH, Gravity::NORTH_EAST, Gravity::WEST, Gravity::CENTER, Gravity::EAST, Gravity::SOUTH_WEST, Gravity::SOUTH, Gravity::SOUTH_EAST, Gravity::STATIC }
enum | AnchorHints { AnchorHints::FLIP_X = 1 << 0, AnchorHints::FLIP_Y = 1 << 1, AnchorHints::SLIDE_X = 1 << 2, AnchorHints::SLIDE_Y = 1 << 3, AnchorHints::RESIZE_X = 1 << 4, AnchorHints::RESIZE_Y = 1 << 5, AnchorHints::FLIP = 0x3, AnchorHints::SLIDE = 0xC, AnchorHints::RESIZE = 0x30 }
| Positioning hints for aligning a window relative to a rectangle. More...
enum | FullscreenMode { FullscreenMode::ON_CURRENT_MONITOR, FullscreenMode::ON_ALL_MONITORS }
| Indicates which monitor (in a multi-head setup) a window should span over when in fullscreen mode. More...

## Functions
EventMask | operator| (EventMask lhs, EventMask rhs)
EventMask | operator& (EventMask lhs, EventMask rhs)
EventMask | operator^ (EventMask lhs, EventMask rhs)
EventMask | operator~ (EventMask flags)
EventMask& | operator|= (EventMask& lhs, EventMask rhs)
EventMask& | operator&= (EventMask& lhs, EventMask rhs)
EventMask& | operator^= (EventMask& lhs, EventMask rhs)
DragAction | operator| (DragAction lhs, DragAction rhs)
DragAction | operator& (DragAction lhs, DragAction rhs)
DragAction | operator^ (DragAction lhs, DragAction rhs)
DragAction | operator~ (DragAction flags)
DragAction& | operator|= (DragAction& lhs, DragAction rhs)
DragAction& | operator&= (DragAction& lhs, DragAction rhs)
DragAction& | operator^= (DragAction& lhs, DragAction rhs)
AxisFlags | operator| (AxisFlags lhs, AxisFlags rhs)
AxisFlags | operator& (AxisFlags lhs, AxisFlags rhs)
AxisFlags | operator^ (AxisFlags lhs, AxisFlags rhs)
AxisFlags | operator~ (AxisFlags flags)
AxisFlags& | operator|= (AxisFlags& lhs, AxisFlags rhs)
AxisFlags& | operator&= (AxisFlags& lhs, AxisFlags rhs)
AxisFlags& | operator^= (AxisFlags& lhs, AxisFlags rhs)
Seat::Capabilities | operator| (Seat::Capabilities lhs, Seat::Capabilities rhs)
Seat::Capabilities | operator& (Seat::Capabilities lhs, Seat::Capabilities rhs)
Seat::Capabilities | operator^ (Seat::Capabilities lhs, Seat::Capabilities rhs)
Seat::Capabilities | operator~ (Seat::Capabilities flags)
Seat::Capabilities& | operator|= (Seat::Capabilities& lhs, Seat::Capabilities rhs)
Seat::Capabilities& | operator&= (Seat::Capabilities& lhs, Seat::Capabilities rhs)
Seat::Capabilities& | operator^= (Seat::Capabilities& lhs, Seat::Capabilities rhs)
ModifierType | operator| (ModifierType lhs, ModifierType rhs)
ModifierType | operator& (ModifierType lhs, ModifierType rhs)
ModifierType | operator^ (ModifierType lhs, ModifierType rhs)
ModifierType | operator~ (ModifierType flags)
ModifierType& | operator|= (ModifierType& lhs, ModifierType rhs)
ModifierType& | operator&= (ModifierType& lhs, ModifierType rhs)
ModifierType& | operator^= (ModifierType& lhs, ModifierType rhs)
WMDecoration | operator| (WMDecoration lhs, WMDecoration rhs)
WMDecoration | operator& (WMDecoration lhs, WMDecoration rhs)
WMDecoration | operator^ (WMDecoration lhs, WMDecoration rhs)
WMDecoration | operator~ (WMDecoration flags)
WMDecoration& | operator|= (WMDecoration& lhs, WMDecoration rhs)
WMDecoration& | operator&= (WMDecoration& lhs, WMDecoration rhs)
WMDecoration& | operator^= (WMDecoration& lhs, WMDecoration rhs)
WMFunction | operator| (WMFunction lhs, WMFunction rhs)
WMFunction | operator& (WMFunction lhs, WMFunction rhs)
WMFunction | operator^ (WMFunction lhs, WMFunction rhs)
WMFunction | operator~ (WMFunction flags)
WMFunction& | operator|= (WMFunction& lhs, WMFunction rhs)
WMFunction& | operator&= (WMFunction& lhs, WMFunction rhs)
WMFunction& | operator^= (WMFunction& lhs, WMFunction rhs)
AnchorHints | operator| (AnchorHints lhs, AnchorHints rhs)
AnchorHints | operator& (AnchorHints lhs, AnchorHints rhs)
AnchorHints | operator^ (AnchorHints lhs, AnchorHints rhs)
AnchorHints | operator~ (AnchorHints flags)
AnchorHints& | operator|= (AnchorHints& lhs, AnchorHints rhs)
AnchorHints& | operator&= (AnchorHints& lhs, AnchorHints rhs)
AnchorHints& | operator^= (AnchorHints& lhs, AnchorHints rhs)
Window::State | operator| (Window::State lhs, Window::State rhs)
Window::State | operator& (Window::State lhs, Window::State rhs)
Window::State | operator^ (Window::State lhs, Window::State rhs)
Window::State | operator~ (Window::State flags)
Window::State& | operator|= (Window::State& lhs, Window::State rhs)
Window::State& | operator&= (Window::State& lhs, Window::State rhs)
Window::State& | operator^= (Window::State& lhs, Window::State rhs)
Window::Hints | operator| (Window::Hints lhs, Window::Hints rhs)
Window::Hints | operator& (Window::Hints lhs, Window::Hints rhs)
Window::Hints | operator^ (Window::Hints lhs, Window::Hints rhs)
Window::Hints | operator~ (Window::Hints flags)
Window::Hints& | operator|= (Window::Hints& lhs, Window::Hints rhs)
Window::Hints& | operator&= (Window::Hints& lhs, Window::Hints rhs)
Window::Hints& | operator^= (Window::Hints& lhs, Window::Hints rhs)
void | flush ()

## Typedef Documentation

typedef GdkGeometry Gdk::Geometry

## Enumeration Type Documentation

enum Gdk::ByteOrder
| strong

Enumerator
LSB_FIRST | The values are stored with the least-significant byte first. For instance, the 32-bit value 0xffeecc would be stored in memory as 0xcc, 0xee, 0xff, 0x00.
MSB_FIRST | The values are stored with the most-significant byte first. For instance, the 32-bit value 0xffeecc would be stored in memory as 0x00, 0xff, 0xee, 0xcc.

enum Gdk::Gravity
| strong

Enumerator
NORTH_WEST |
NORTH |
NORTH_EAST |
WEST |
CENTER | The reference point is at the center of the window.
EAST |
SOUTH_WEST |
SOUTH |
SOUTH_EAST |
STATIC | The reference point is at the top left corner of the window itself, ignoring window manager decorations.

## Function Documentation

void Gdk::flush | ( |  | ) |